import React, { useState } from "react"
import { Stack } from '@mui/material'

const MainComponent = (props) => {

  const ItemSlot = ({ value, slot }) => {
    return (
      <Stack justifyContent="center" alignItems="center" className="inventory-item">
        <div
          id={`item-slot-${slot}`}
          className="inventory-itemContent"
          data-slot={props.slot}
          data-type={`item`}
        >
          <div className="inventory-itemInsideContent">
              <img className="inventory-itemPreview" src={value.image} />
            <div>
              <span className="inventory-item-name">{value.name}</span>
            </div>
          </div>
        </div>
      </Stack>
    )
  }

  const EmptySlot = ({ slot }) => {
    return (
      <Stack justifyContent="center" alignItems="center" className="inventory-itemEmpty">
        <div
          className="item-slot empty"
          style={{ width: '100%', height: '100%' }}
          data-slot={slot}
          data-type={`empty-slot`}
        ></div>
      </Stack>
    )
  }

  return props.value !== null ? <ItemSlot {...props} /> : <EmptySlot {...props} />
}

export default MainComponent
