// import { AuthService, useAuthState } from '@xrengine/client-core/src/user/services/AuthService'
import React, { useEffect, useState } from "react"
import InventoryContent from "./InventoryContent"
import { orderItems } from "./util/orderItems"
import "./styles/type.css"

export const Inventory = ({ items, showModal, background }) => {
  const [item, setItem] = useState([])

  const modalStyle = {
    background: background,
  }

  useEffect(() => {
    const newItems = orderItems(items)
    setItem(newItems)
  }, [])

  return (
    <div>
      {showModal && (
        <div className="inventory-modal">
          {item.length > 0 ? (
            <div className={"inventory-content"} style={modalStyle}>
              <InventoryContent nftImage={item} />
            </div>
          ) : (
            "No NFTs"
          )}
        </div>
      )}
    </div>
  )
}

export default Inventory
